Bug 175520 - CVE-2004-2607 sdla_xfer casting flaw (ipf)
Summary: CVE-2004-2607 sdla_xfer casting flaw (ipf)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: source=cve,reported=20051202,public=2...
Keywords: Security
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-12-12 09:09 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 08:51:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2005-12-12 09:09:15 UTC
+++ This bug was initially created as a clone of Bug #175519 +++

The Sangoma frame relay driver could allow local users to read
large portions of kernel memory.

fixed=2.6.5
http://linux.bkbits.net:8080/linux-2.6/cset@4083fdb65KiH8zD6KliRqh6HrON_sw

fixed=2.4.29
http://linux.bkbits.net:8080/linux-2.4/cset@41e2d02a-1uIuT2ka6ipdvsj4sTwJg

Comment 1 Mark J. Cox 2005-12-13 08:51:44 UTC
caught by a check to CAP_NET_ADMIN in _ioctl


Note You need to log in before you can comment on or make changes to this bug.